Bug 853015 - [abrt] teamgit-0.0.10-1.20120202.fc17: size: Process /usr/bin/teamgit was killed by signal 11 (SIGSEGV)
[abrt] teamgit-0.0.10-1.20120202.fc17: size: Process /usr/bin/teamgit was kil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: teamgit (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:cb05f6490f1f58d667b07be4f9d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 05:33 EDT by Kyrre Ness Sjøbæk
Modified: 2013-07-15 21:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: teamgit-0.0.12-1.20130626.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.27 KB, text/plain)
2012-08-30 05:33 EDT, Kyrre Ness Sjøbæk
no flags Details
File: backtrace (42.73 KB, text/plain)
2012-08-30 05:33 EDT, Kyrre Ness Sjøbæk
no flags Details
File: maps (61.03 KB, text/plain)
2012-08-30 05:33 EDT, Kyrre Ness Sjøbæk
no flags Details
File: dso_list (10.36 KB, text/plain)
2012-08-30 05:33 EDT, Kyrre Ness Sjøbæk
no flags Details
File: build_ids (4.44 KB, text/plain)
2012-08-30 05:33 EDT, Kyrre Ness Sjøbæk
no flags Details

  None (edit)
Description Kyrre Ness Sjøbæk 2012-08-30 05:33:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        teamgit
crash_function: size
executable:     /usr/bin/teamgit
kernel:         3.4.4-5.fc17.x86_64
pid:            2482
pwd:            /home/kyrre/PhD/ACE3P/ace3p
remote_result:  NOTFOUND
time:           to. 30. aug. 2012 kl. 11.24 +0200
uid:            1000
username:       kyrre

backtrace:      Text file, 43757 bytes
build_ids:      Text file, 4551 bytes
dso_list:       Text file, 10608 bytes
environ:        Text file, 4369 bytes
maps:           Text file, 62493 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/kyrre/2

comment:
:Installed teamgit from yum, then started it in a folder containing a git repository. Output:
:$ teamgit
:*** WARNING *** The program 'teamgit' uses the Apple Bonjour compatibility layer of Avahi.
:*** WARNING *** Please fix your application to use the native API of Avahi!
:*** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=teamgit>
:Segmentation fault (core dumped)

core_backtrace:
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0xc1664 QString::startsWith(QString libQtCore.so.4 -
:99d9b6ebbfc0c4d7ba6f0a050d77a7bc149ff748 0x1bbca - [exe] -
:99d9b6ebbfc0c4d7ba6f0a050d77a7bc149ff748 0x45f72 - [exe] -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x18acee QObject::event(QEvent*) libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x2193da QWidget::event(QEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x5dd02b QMainWindow::event(QEvent*) libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ca37c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x1ce7fa QApplication::notify(QObject*, libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1763ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x179ea1 QCoreApplicationPrivate::sendPostedEvents(QObject*, libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a4353 - libQtCore.so.4 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1a44e6 QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x26a2ee - libQtGui.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x17513f QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x1753c8 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) libQtCore.so.4 -
:12bc9d1ff0b278c3f555e94fd58241efd214c7fd 0x17a1b8 QCoreApplication::exec() libQtCore.so.4 -
:99d9b6ebbfc0c4d7ba6f0a050d77a7bc149ff748 0xed3d - [exe] -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63374                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63374                63374                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/5
:pos:	0
:flags:	0100002
:1:/dev/pts/5
:pos:	0
:flags:	0100002
:2:/dev/pts/5
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[575554]
:pos:	0
:flags:	02004000
:5:pipe:[575554]
:pos:	0
:flags:	02004001
:6:socket:[575555]
:pos:	0
:flags:	02004002
:7:socket:[575556]
:pos:	0
:flags:	02004002
:8:socket:[575559]
:pos:	0
:flags:	02004002
:9:socket:[575560]
:pos:	0
:flags:	02000002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/dev/ptmx
:pos:	0
:flags:	02104002
:13:/dev/ptmx
:pos:	0
:flags:	02104002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:/dev/ptmx
:pos:	0
:flags:	02104002
:16:/dev/pts/1
:pos:	0
:flags:	02100002
:17:/dev/pts/10
:pos:	0
:flags:	02100002
:18:/dev/pts/11
:pos:	0
:flags:	02100002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:socket:[575569]
:pos:	0
:flags:	02
:21:socket:[575570]
:pos:	0
:flags:	02
:22:pipe:[575571]
:pos:	0
:flags:	04000
:23:pipe:[575571]
:pos:	0
:flags:	04001
:24:socket:[575572]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 30 11:24:53 fenris yum[2471]: Installed: 1:teamgit-0.0.10-1.20120202.fc17.x86_64
:Aug 30 11:24:58 fenris teamgit[2482]: *** WARNING *** The program 'teamgit' uses the Apple Bonjour compatibility layer of Avahi.
:Aug 30 11:24:58 fenris teamgit[2482]: *** WARNING *** Please fix your application to use the native API of Avahi!
:Aug 30 11:24:58 fenris teamgit[2482]: *** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=teamgit>
:Aug 30 11:24:58 fenris kernel: [230649.671948] teamgit[2482]: segfault at 22e ip 0000003926ec1664 sp 00007fff752dbdf0 error 4 in libQtCore.so.4.8.2[3926e00000+2c1000]
:Aug 30 11:24:59 fenris abrt[2498]: Saved core dump of pid 2482 (/usr/bin/teamgit) to /var/spool/abrt/ccpp-2012-08-30-11:24:58-2482 (83193856 bytes)
Comment 1 Kyrre Ness Sjøbæk 2012-08-30 05:33:48 EDT
Created attachment 608092 [details]
File: environ
Comment 2 Kyrre Ness Sjøbæk 2012-08-30 05:33:50 EDT
Created attachment 608093 [details]
File: backtrace
Comment 3 Kyrre Ness Sjøbæk 2012-08-30 05:33:52 EDT
Created attachment 608094 [details]
File: maps
Comment 4 Kyrre Ness Sjøbæk 2012-08-30 05:33:55 EDT
Created attachment 608095 [details]
File: dso_list
Comment 5 Kyrre Ness Sjøbæk 2012-08-30 05:33:56 EDT
Created attachment 608096 [details]
File: build_ids
Comment 6 oliver.zemann 2012-10-06 04:42:55 EDT
I just tried to start the application. It instantly crashed :X

backtrace_rating: 4
Package: teamgit-0.0.10-1.20120202.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Dante 2013-01-18 18:40:46 EST
I try to run the application

backtrace_rating: 4
Package: teamgit-0.0.10-1.20120202.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 23:41:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora Update System 2013-07-06 04:25:58 EDT
teamgit-0.0.12-1.20130626.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/teamgit-0.0.12-1.20130626.fc18
Comment 10 Fedora Update System 2013-07-06 04:26:24 EDT
teamgit-0.0.12-1.20130626.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/teamgit-0.0.12-1.20130626.fc19
Comment 11 Fedora Update System 2013-07-06 04:26:45 EDT
teamgit-0.0.12-1.20130626.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/teamgit-0.0.12-1.20130626.fc17
Comment 12 Fedora Update System 2013-07-06 21:29:39 EDT
Package teamgit-0.0.12-1.20130626.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing teamgit-0.0.12-1.20130626.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12467/teamgit-0.0.12-1.20130626.fc18
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-07-15 21:32:47 EDT
teamgit-0.0.12-1.20130626.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-07-15 21:34:59 EDT
teamgit-0.0.12-1.20130626.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-07-15 21:51:25 EDT
teamgit-0.0.12-1.20130626.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.